My Oracle Support Banner

EM 13c: EM Upgrade Fails During OMS Configuration Step While Securing OMS With Error 'Internal Exception: java.sql.SQLException: ORA-28000: the account is locked' (Doc ID 2534943.1)

Last updated on JUNE 28, 2019

Applies to:

Enterprise Manager Base Platform - Version 12.1.0.4.0 and later
Information in this document applies to any platform.

Symptoms

EM upgrade from 12.1.0.4 to 13.2.0.0 fails during OMS Configuration step while securing OMS with the following logged errors:

From <Middleware_Home>/cfgtoollogs/omsca/omsca_<Timestamp>.log:

Mar 10, 2019 3:44:52 AM oracle.sysman.emctl.util.UpgradeOPSS performUpgrade
INFO: Migrating policy store using cmd: <Middleware_Home>/oracle_common/common/bin/wlst.sh <Middleware_Home>/sysman/omsca/scripts/wls/opss_upgrade_policystore.py <EM_Instance_Home>/em/EMGC_OMS1/sysman/config/upgrade_migrate_policies.xml
Mar 10, 2019 3:45:04 AM oracle.sysman.emctl.util.UpgradeOPSS performUpgrade
INFO: Completed migrating policy store with exit code: 2
Mar 10, 2019 3:45:04 AM oracle.sysman.omsca.adapter.wls.OMSWLSAdapter adapterPostDeployAndReposSetup
SEVERE: Exception occurred while securing OMS:
java.lang.Exception: Migrating policy store failed with exit code: 2
at oracle.sysman.emctl.util.UpgradeOPSS.performUpgrade(UpgradeOPSS.java:240)
at oracle.sysman.omsca.adapter.wls.OMSWLSAdapter.adapterPostDeployAndReposSetup(OMSWLSAdapter.java:3362)
at oracle.sysman.omsca.framework.OMSGenericAdapter.postDeployAndReposSetup(OMSGenericAdapter.java:333)
at oracle.sysman.omsca.framework.OMSCAUpgradeInstall.execute(OMSCAUpgradeInstall.java:555)
at oracle.sysman.omsca.framework.OMSConfigAssistantDriver.main(OMSConfigAssistantDriver.java:287)

 

From <Middleware_Home>/cfgtoollogs/omsca/logs<timestamp>/emLogs/sysman/log/secure.log:

Migrate policies jps-config: <EM_Instance_Home>/em/EMGC_OMS1/sysman/config/upgrade_migrate_policies.xml
Migrating policyStore
[EL Severe]: ejb: 2019-03-10 03:45:04.14--ServerSession(1764401506)--Exception [EclipseLink-4002] (Eclipse Persistence Services - 2.5.2.v20140319-9ad6abd): org.eclipse.persistence.exceptions.DatabaseException
Internal Exception: java.sql.SQLException: ORA-28000: the account is locked

Error Code: 28000
Command FAILED, Reason: JPS-06000: The source context DBsourceContext is missing in jps configuration file.

Name of Exception: oracle.security.jps.JpsException
Code of Exception: oracle.security.jps.JpsException: JPS-06000: The source context DBsourceContext is missing in jps configuration file.
SEVERE: Exception occurred while migrating policystore

 

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.